<?php
namespace Banyo\BrandUrlCustomizer\Controller\Router;

/**
 * Interceptor class for @see \Banyo\BrandUrlCustomizer\Controller\Router
 */
class Interceptor extends \Banyo\BrandUrlCustomizer\Controller\Router implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\App\ActionFactory $actionFactory, \Magento\Framework\App\ResponseInterface $response, \Magento\Framework\UrlInterface $url)
    {
        $this->___init();
        parent::__construct($actionFactory, $response, $url);
    }

    /**
     * {@inheritdoc}
     */
    public function match(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'match');
        return $pluginInfo ? $this->___callPlugins('match', func_get_args(), $pluginInfo) : parent::match($request);
    }
}
